Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity.cache
Class IdentityCacheService

    java.lang.Object
      org.jboss.portal.core.identity.cache.IdentityCacheService

    public class IdentityCacheService

extends java.lang.Object

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `JNDI_NAME`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.util.Map>>` | `profileCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,org.jboss.portal.identity.Role>>` | `roleIdCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.String,org.jboss.portal.identity.Role>>` | `roleNameCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,org.jboss.portal.identity.User>>` | `userIdCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.String,org.jboss.portal.identity.User>>` | `userNameCache`

Constructor Summary
`IdentityCacheService()`

Method Summary
`void` | `cleanup()`
`org.jboss.portal.identity.Role` | `findRoleById(java.lang.Object id)`
`org.jboss.portal.identity.Role` | `findRoleByName(java.lang.String roleName)`
`org.jboss.portal.identity.User` | `findUserById(java.lang.Object id)`
`org.jboss.portal.identity.User` | `findUserByUserName(java.lang.String userName)`
`java.util.Map` | `findUserProfileById(java.lang.Object id)`
`void` | `invalidateProfile(org.jboss.portal.identity.User user)`
`void` | `invalidateRole(org.jboss.portal.identity.Role role)`
`void` | `invalidateUser(org.jboss.portal.identity.User user)`
`void` | `storeProfile(org.jboss.portal.identity.User user, java.util.Map profile)`
`void` | `storeRole(org.jboss.portal.identity.Role role)`
`void` | `storeUser(org.jboss.portal.identity.User user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

See Also:
  Constant Field Values

### userNameCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.String,org.jboss.portal.identity.User>> userNameCache

### userIdCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,org.jboss.portal.identity.User>> userIdCache

### profileCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.util.Map>> profileCache

### roleNameCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.String,org.jboss.portal.identity.Role>> roleNameCache

### roleIdCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,org.jboss.portal.identity.Role>> roleIdCache

Constructor Detail

### IdentityCacheService

    public IdentityCacheService()

Method Detail

### cleanup

    public void cleanup()

### storeUser

    public void storeUser(org.jboss.portal.identity.User user)

### invalidateUser

    public void invalidateUser(org.jboss.portal.identity.User user)

### storeProfile

    public void storeProfile(org.jboss.portal.identity.User user,
                             java.util.Map profile)

### invalidateProfile

    public void invalidateProfile(org.jboss.portal.identity.User user)

### storeRole

    public void storeRole(org.jboss.portal.identity.Role role)

### invalidateRole

    public void invalidateRole(org.jboss.portal.identity.Role role)

### findUserByUserName

    public org.jboss.portal.identity.User findUserByUserName(java.lang.String userName)

### findUserById

    public org.jboss.portal.identity.User findUserById(java.lang.Object id)

### findUserProfileById

    public java.util.Map findUserProfileById(java.lang.Object id)

### findRoleByName

    public org.jboss.portal.identity.Role findRoleByName(java.lang.String roleName)

### findRoleById

    public org.jboss.portal.identity.Role findRoleById(java.lang.Object id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD